+ Reply to Thread
Page 4 of 4 FirstFirst ... 2 3 4
Results 31 to 32 of 32
  1. #31
    Forum Deity MSasu's Avatar
    Discipline
    Construction
    MSasu's Discipline Details
    Occupation
    engineer
    Discipline
    Construction
    Details
    AutoLISP programmer
    Using
    AutoCAD 2013
    Join Date
    Mar 2009
    Location
    Brasov, Romania
    Posts
    3,930

    Default

    Another comment regarding usage of SCRIPT command in prompt mode – if you will name the script using drawing’s name (i.e. Move.DWG & Move.SCR) and place them on the same folder, then when issue the command, the default value will be constructed based on drawing’s name, so you will not have to type the path; just hit <Enter> and the show will begin.
    Regards,
    Mircea

    AutoCAD's happy user equation: FILEDIA + PICKADD² + PICKFIRST = 3

  2. #32
    Forum Deity pBe's Avatar
    Computer Details
    pBe's Computer Details
    Operating System:
    Windows XP
    Discipline
    Construction
    pBe's Discipline Details
    Discipline
    Construction
    Details
    Camp Construction planning and details
    Using
    AutoCAD 2009
    Join Date
    Apr 2010
    Posts
    2,605

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by mcclarion View Post
    do i haw to turn off all the other layers ( related to circles ) or leave them on .. ?
    i tried both solution and in try1 where i turned off all the layers layer5 only pop up and stay .. no other layer is shown
    If you're still interested. both the codes i posted can be modified to do just that. the sequence will all depend on your imagination.
    If you want the ball to "remain", just comment this line [on post #9]
    Code:
    (rolling delay)
    ;; (hide lnm 2)
            )
    or if you want to it to leave a trail.
    Code:
     
    (defun c:Roll  (/ hide Rolling Delay n)
          (initget 7)
          (setq delay (getint "\nEnter Delay factor: "))
          (defun hide  (ln mode)
                (setq ss (ssget "_X" (list (cons 8 ln))))
                (repeat (setq i (sslength ss))
                      (redraw (ssname ss (setq i (1- i))) mode)))
          (defun Rolling  (prcnt)
                (repeat prcnt
                      (setq prcnt_1 (1+ prcnt))
                      (prompt "\r|") (prompt "\r/")
                      (prompt "\r|") (prompt "\r\\")
                      (princ)
                      )
                )
          (setq n 0)
          (hide "ROLL-*" 2)
          (repeat 29
                (setq lnm (strcat "Roll-" (itoa (setq n (1+ n)))))
                (hide lnm 1)
                (rolling delay)
               (hide lnm 3)
                )
         (hide "Roll-29" 1)
        (setq n 0)
        (repeat 29
              (setq lnm (strcat "Roll-" (itoa (setq n (1+ n)))))
              (hide lnm 2)
              (rolling (/ delay 2))
              )
        (hide "Roll-29" 4)(hide "Roll-29" 2)(hide "Roll-29" 1)
          )
    Try that and see how it looks. As for the Freeze/Thaw approach. the code can be modified to accept list of layers for the _FTLayer sub.
    Thing is, the "animation" is only limited by your imagination mcclarion.

Similar Threads

  1. Moving objects in front of — or behind — other objects: DRAWORDER
    By AutoCAD Tips Blog in forum AutoCAD RSS Feeds
    Replies: 0
    Last Post: 6th Mar 2012, 05:10 am
  2. Moving the origin for animation..help
    By bigben1103 in forum Autodesk Inventor
    Replies: 1
    Last Post: 8th Nov 2010, 10:10 pm
  3. moving objects
    By RUSSOMSTUDIO in forum AutoCAD Beginners' Area
    Replies: 6
    Last Post: 10th Jun 2010, 05:06 pm
  4. How do I make 3D objects to move in animation
    By alif in forum AutoCAD 3D Modelling & Rendering
    Replies: 4
    Last Post: 20th Feb 2009, 05:12 pm
  5. Moving objects to 0,0
    By andrewchanter in forum AutoCAD Beginners' Area
    Replies: 8
    Last Post: 23rd Sep 2008, 10:48 am

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts